Bug 128832 - mkinitrd --omit-network-modules support
mkinitrd --omit-network-modules support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
http://ircsex.de/patches/mkinitrd-3.5...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 01:30 EDT by Maik Broemme
Modified: 2009-02-03 15:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 15:31:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
network modules patch (2.66 KB, patch)
2006-02-02 10:16 EST, Peter Jones
no flags Details | Diff

  None (edit)
Description Maik Broemme 2004-07-30 01:30:49 EDT
Hi,

i have added network module support to mkinitrd, because we needed it
for booting via nfsroot. I have changed the mkinitrd script and the
mkinitrd manpage. People can safely use --omit-network-modules to have
an initrd image without networking stuff. Maybe it will be integrated
in future versions of mkinitrd. Maybe many people endorse having
network stuff in their initrd. :)

You can grab it here:

http://ircsex.de/patches/mkinitrd-3.5.22-network-modules.patch
Comment 1 Peter Jones 2006-02-02 10:16:04 EST
Created attachment 124050 [details]
network modules patch

I'm attaching the patch to the bug so we don't lose it.
Comment 2 John Thacker 2006-10-29 17:01:20 EST
Changing version to correct one.  (test1 -> fc3test1, and some were filed as
test3 accidentally instead; but clearly must be fc3test1 given the date of filing.)
Comment 3 Christian Iseli 2007-01-19 19:25:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Matthew Miller 2007-04-06 11:23:10 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 5 Peter van Egdom 2007-11-18 16:38:45 EST
Moving bug from version "fc3test1" to version "devel". Patch is still not
applied to "mkinitrd" in Fedora release 8.
Comment 6 Jon Stanley 2008-05-10 01:07:42 EDT
Peter - 

This isn't in F9, any reason?
Comment 7 Hans de Goede 2009-02-03 15:31:06 EST
We do not have a --omit-network-modules option in F-10, but other then that we have network booting working in F-10, so I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.